com.pixelmed.display

## Class DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler

- java.lang.Object
- - com.pixelmed.display.DicomImageBlackout.StatusNotificationHandler
  - - com.pixelmed.display.DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler

Enclosing class:
  DicomCleaner.OurDicomImageBlackout

    public class DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler
    extends DicomImageBlackout.StatusNotificationHandler

### Field Summary

### Fields inherited from class com.pixelmed.display.DicomImageBlackout.StatusNotificationHandler

`BLACKOUT_FAILED, CANCELLED, COMPLETED, READ_FAILED, SAVE_FAILED, SAVE_SUCCEEDED, UNSAVED_CHANGES, WINDOW_CLOSED`

### Constructor Summary

Constructors
Constructor and Description
`DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler()`

### Method Summary

Methods
`void` `notify(int status, java.lang.String message, java.lang.Throwable t)` The callback method when status is updated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler

    public DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler()

### Method Detail

#### notify

    public void notify(int status,
              java.lang.String message,
              java.lang.Throwable t)

Description copied from class: `DicomImageBlackout.StatusNotificationHandler`

The callback method when status is updated.

Specified by:
  `notify` in class `DicomImageBlackout.StatusNotificationHandler`
Parameters:
  `status` - a numeric status
  `message` - a description of the status, and in some cases, affected file names
  `t` - the exception that lead to the status notification, if caused by an exception, else null